﻿<!-- slider_area_start  principal -->
@{
    Layout = "~/Views/Shared/_Layout_Admin.cshtml";
}

@*<style>
    select {
   
        background: #08981b !important;
        color: #000 !important;
    }

    option:not(:checked) {
        background-color: #fff;
    }
</style>*@
@{
    string valorCompraMinima =ViewData["compraMinima"].ToString();
	string valor=ViewData["datos"].ToString();
}

<script type='text/javascript' src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<div class="div_contenedor">

    <div class="div_centrado"><span>Compra mínima: </span>
	

<input id="val" name="val" onchange="MASK(this,this.value,'-$##.###.##0,00',1)" value="@valorCompraMinima.ToString()" style="direction: rtl;width:120px">
<script type="text/javascript">
function MASK(form, n, mask, format) {
  if (format || NUM(n)) {
    dec = 0, point = 0;
    x = mask.indexOf(",")+1;
    if (x) { dec = mask.length - x; }
    if (dec) {
      n = NUM(n, dec)+"";
      x = n.indexOf(",")+1;
      if (x) { point = n.length - x; } else { n += ","; }
    } else {
      n = NUM(n, 0)+"";
    } 
    for (var x = point; x < dec ; x++) {
      n += "0";
    }
    x = n.length, y = mask.length, XMASK = "";
    while ( x || y ) {
      if ( x ) {
        while ( y && "#0,".indexOf(mask.charAt(y-1)) == -1 ) {
          if ( n.charAt(x-1) != "-")
            XMASK = mask.charAt(y-1) + XMASK;
          y--;
        }
        XMASK = n.charAt(x-1) + XMASK, x--;
      } else if ( y && "$0".indexOf(mask.charAt(y-1))+1 ) {
        XMASK = mask.charAt(y-1) + XMASK;
      }
      if ( y ) { y-- }
    }
  } else {
     XMASK="";
  }
  if (form) { 
    form.value = XMASK;
  }
  return XMASK;
}

function NUM(s, dec) {
  for (var s = s+"", num = "", x = 0 ; x < s.length ; x++) {
    c = s.charAt(x);
    if (".-+/*".indexOf(c)+1 || c != " " && !isNaN(c)) { num+=c; }
  }
  if (isNaN(num)) { num = eval(num); }
  if (num == "")  { num=0; } else { num = parseFloat(num); }
  if (dec != undefined) {
    r=.5; if (num<0) r=-r;
    e=Math.pow(10, (dec>0) ? dec : 0 );
    return parseInt(num*e+r) / e;
  } else {
    return num;
  }
}
</script>


<style type="text/css">
  .boton_personalizado{
    text-decoration: none;
    padding: 10px;
    font-weight: 600;
    font-size: 20px;
    color: #ffffff;
    background-color: #1883ba;
    border-radius: 6px;
    border: 2px solid #0016b0;
  }
</style>

<button class="boton_personalizado" id="btn-enviar">Actualizar</button>
<script>

$(document).ready(function(){
    $(document).on("click","#btn-enviar",function () {
        var variable = $("#val").val();
        
       $.ajax({
                type: "POST",
                async:false,
                url: '@Url.Action("Actualiza", "AdminParametros")',
                data: JSON.stringify({ carrito: 2, contador: variable }),

                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    if(data==1)
                    console.log("carrito guardado en session:");
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    $("#modal_error").modal("show");
                    $("#error_modal_msj").html("Error de Conexión");

                }
            });
			  
	   alert("Se actualizo correctamente la compra mínima");
    });
});

</script>


</div>
</div>
<style>
    html,body{ margin: 0;}
    .div_contenedor{
        background: white;
        height: 100vh;  
        display: flex;     
        align-items: center;
        justify-content: center;
    }
    .div_centrado{
        background: white;
        width: 500px;       
        height: 400px;
    }
</style>

